@echo off
if '%1' == '' goto baddir
cls
echo.
echo                       PsychoTrompus Proudly Presents    
echo.
echo                      Command & Conquer Compact Edition      
echo                         GDI, NOD, Covert Operations     
echo.
pause
md %1:\c&c
rar x -r -v -y c&c.001 %1:\c&c
%1:
cd \c&c
cls
echo.
echo.
echo.
echo Installation Complete!
echo.
echo Type setup to configure your sound card
echo and c&c to start Command and Conquer.
echo.
echo.
echo.
goto end
:baddir
cls
echo.
echo.
echo.
echo Please run this batch file the syntax of - install c - where c is the
echo letter of the drive you wish to install to.
echo.
echo.
echo.
goto end
:end
